#include <dve/Xm/recipientList.h>
#include <dve/pluginManagement.h>
#include <dve/confMgr.h>
#include <dve/dvePluginMgr.h>

#define	JB_CONF_MANAGER_PORT	1
#define	JB_CONF_MANAGER_PRIVATE	dvePluginManagementProtocol

struct _AppData {
  DveSession	session;
  DveSession	privateSession;
  DveSession	plugMgrSession;
  char		*initPath;
  char		*helpPath; /* not used since InSoft's
			      Help library is missing */
  int		numPlug;
  int		numInv;
  int		numAcc;
  int		numRej;
  int		currPlug;
  ConfdStateTag state;
  DveUserHandle localHandle;
  DveUserHandle initiatorHandle;
  int IamInitiator;
  DveMotifRecipientList memDveAccList;
  DvePartList	memAccList;
} appData;

typedef enum {
  JBPluginManagementTagInvalid=0,
  JBPluginManagementTagStart,
  JBPluginManagementTagQuit
}JBPluginManagementTag;

typedef struct jbPluginManagementArg {
  DvePort port;
} JBPluginManagementArg;

DveMotifRecipientList confList=NULL;
DvePartList partList;
DveConfMgrUserAddr *mbrs, *mtemp;

void start_conference(void);
void exit_conference(void);
void started(DveSession dveSession, DveEvent* event);
void HidePlugin();
void ShowPlugin();
DveConfMgrInvitationCallback invited(DveSession dveSession,
				     DveConfMgrInvitedArg* arg);




